Course related software may be requested for the ESS computer labs and will be evaluated by the CompHelp team to ensure it is functional in our environment, that it doesn't adversely impact other course software, and that it can run on our hardware. New software should be requested as early as possible; if you wait until the beginning of the quarter it will may not be immediately available. Please provide the following information when requesting new software. Please consult with the CompHelp team before making any purchases as not all software will work with our environment!

  • Name of the software
  • Where is it available from
  • Licensing information if you have it - please note any licensing issues must be resolved before installation
  • Paid software requires you identify a funding source
  • When you need it by
  • When you are available to test the software - we can do basic startup tests but instructors are encouraged to test full functionality for all features they need

Incompatible Software

Some software will be incompatible with our setup due to a variety of reasons. Below are some of the more common reasons.

  • Doesn't work on Windows 7 or Centos 7 if you are using the Student Linux Cluster
  • Requires administrative rights in order to use it
  • Isn't allowed for academic use
  • Requires a large amount of disk space. If your class will be using large data files you should encourage students to purchase a flash drive or external drive capable of holding their data.
  • Incompatible with other software course software
  • Requires older versions of software - in particular lookout for any software requiring a specific version of Java or browsers as we are unable to provide outdated software versions for security reasons
  • comphelp/labs/new_software.txt
  • Last modified: 2017/01/26 01:36
  • by essach